net.sf.jasperreports.engine.design

## Class JRDesignScriptlet

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseScriptlet
  - - net.sf.jasperreports.engine.design.JRDesignScriptlet

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRChangeEventsSupport, JRCloneable, JRPropertiesHolder, JRScriptlet

      public class JRDesignScriptlet
      extends JRBaseScriptlet

  Version:
    $Id: JRDesignScriptlet.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_NAME`
    `static java.lang.String` | `PROPERTY_VALUE_CLASS_NAME`

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBaseScriptlet

      `description, name, propertiesMap, PROPERTY_DESCRIPTION, valueClass, valueClassName, valueClassRealName`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRScriptlet

      `SCRIPTLET_PARAMETER_NAME_SUFFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRDesignScriptlet()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setName(java.lang.String name)`
    `void` | `setValueClass(java.lang.Class<?> clazz)`
    `void` | `setValueClassName(java.lang.String className)`

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseScriptlet

      `clone, getDescription, getEventSupport, getName, getParentProperties, getPropertiesMap, getValueClass, getValueClassName, hasProperties, setDescription`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_NAME

          public static final java.lang.String PROPERTY_NAME

      See Also:
        Constant Field Values

    - #### PROPERTY_VALUE_CLASS_NAME

          public static final java.lang.String PROPERTY_VALUE_CLASS_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JRDesignScriptlet

          public JRDesignScriptlet()

  - ### Method Detail

    - #### setName

          public void setName(java.lang.String name)

    - #### setValueClass

          public void setValueClass(java.lang.Class<?> clazz)

    - #### setValueClassName

          public void setValueClassName(java.lang.String className)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com